package com.base.scanqrclear.bean

data class EarthquakeData(
    val features: List<EarthquakeBean>
)

data class EarthquakeBean(
    val properties: EarthquakeProperties,
    val geometry: EarthquakeGeometry,
)

data class EarthquakeProperties(
    val mag: Float,//震级
    val place: String,//地点
    val time: Long,//发生时间
    val mmi: Any?,//烈度（Intensity）通常用Modified Mercalli Intensity (MMI)
    val sig: Int,//地震的显著性(Significance)
    val types: String,//nearby-cities, origin, phase-data
)

data class EarthquakeGeometry(
    val coordinates: DoubleArray,//第三个表示深度
)
